Bug 435093 - int_outof directive doesn't work
int_outof directive doesn't work
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
All Linux
low Severity medium
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
Depends On:
Blocks: 434960
  Show dependency treegraph
Reported: 2008-02-27 05:58 EST by Kevin R. Page
Modified: 2013-03-05 22:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2008-06-26 18:41:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
Novell 339309 None None None Never

  None (edit)
Description Kevin R. Page 2008-02-27 05:58:39 EST
There's a fix committed to HAL upstream:

but this is preventing entries in F8 hal-info working.

I was testing:

I found that commit a196ae310a30b70f6b9de86b02cefc6ff4d06d9f worked, while the
later 5d8b2c479871d27f5a17023e20848b611c13e615 did not.

I can't see any bugs in the later version; the only difference is that it's
compressed using the int_outof directive.

Greping hal/fdi/information shows other devices are probably affected, mostly in
10-usb-music-players.fdi. I don't have any of these devices to test, however
google throws up this user report:

See also the referenced Novell bugzilla entry.
Comment 1 Kevin R. Page 2008-02-27 06:07:44 EST
In case I was unclear, the current release of hal is preventing F8 hal-info from
working properly, not the upstream fix ;)
Comment 2 Kevin R. Page 2008-03-27 04:06:01 EDT
This is fixed in the current F9/rawhide hal package; an update is still required
for F8 to clear bug #280251 (via bug #434960) - or a clear statement that there
are no plans to update hal in F8 so that workarounds/kludges can be added to the
pilot-link package.
Comment 3 Richard Hughes 2008-05-30 07:39:18 EDT
Do you want an update for F8? Theres a big difference between versions. Can't we
just build an errata package with this fix?
Comment 4 Kevin R. Page 2008-05-30 11:04:46 EDT
And it goes a little something like this... (hit it).

pilot-link needs a working PolicyKit and related hal configs; it's been broken
in F8 since release (well, since ~F5 in one way or another).

I pushed the relevant config upstream; the device info would come back down via
hal-info, the policy in hal.

So, we could solve this by either:
1) a hal-0.5.11 + hal-info >= 20080508 update (you seem unkeen)
2) an errata package solving this bug + hal-info >= 20080226 + policy rules
carried in pilot-link
3) carry all config in pilot-link, with added verbosity to work around this bug

Since we'd waited 3 months, last week I made a patch implementing 3) in
pilot-link - it's at the end of bug #280251, and there's a scratch build in koji.

I guess that leaves pilot-link vulnerable to duplication from hal-info updates
(e.g. the NetworkManager ones), and doesn't fix the audio player problems that
seem to have occurred (see link to fedora-list in comment #0).

To be honest, I'm at head-banging-against-the-wall stage. I don't care which
solution you plump for (and it's not my call). Communication between package
maintainers hasn't happened and it clearly needs to, given the interdependencies.

Bug #280251 has been fixed for ages now. It's a shame we seem incapable of
shipping the fix to users.
Comment 5 Richard Hughes 2008-06-02 10:52:25 EDT
Do you have a link to a patch to hal-info or hal that I could easily apply?
Comment 6 Kevin R. Page 2008-06-02 13:09:03 EDT
Are you suggesting an errata to hal/hal-info just for in_outof, or to also carry
the fdi and policy needed for pilot-link? (i.e. make pending pilot-link patch
redundant? No problem with that if it's the best way)

I'm afraid I neglected to flag up bug #431377 (just tested: still present) which
means any update of fdi for pilot-link will take out hald when the PDA is
connected; so safest to reboot after install (or a naughty haldaemon restart).

Patch for in_outof fix (as per comment #0):

The following were against hal master at the time; I'd hope they'll apply to F8 hal?

Patch for Palm fdi:

and if in_outof is fixed, also apply (functionally identical, but more succinct):

Patches to policy:

I think org.freedesktop.hal.device-access.policy may have been
hal-device-file.policy back then.

Apologies for any gitweb wonkiness on my part, I think this is what you need?
Comment 7 Alex Lancaster 2008-06-10 03:48:43 EDT
(In reply to comment #3)
> Do you want an update for F8? Theres a big difference between versions. Can't we
> just build an errata package with this fix?

I don't understand why going from hal-0.5.10 -> hal-0.5.11 in F-8 is such a big
deal, it would solve bug #280251 (which has been open for about 3 years now)
once and for all.  

It's a subminor version change, if it was a more major change surely it would be
a 0.6.x release, or does upstream HAL not honour those kinds of sensible rules
for version numbers?
Comment 8 Alex Lancaster 2008-06-10 03:50:56 EDT
Either way, please let us know whether you plan to push an errata fix for
pilot-link, and if so, what the time frame would be, so we can decide whether or
not to workaround it in pilot-link.
Comment 9 Kevin R. Page 2008-06-26 18:41:31 EDT
Works for me with hal-0.5.10-3.fc8 (and hal-info-20080607-2.fc8) in
updates-testing. Thanks.

Note You need to log in before you can comment on or make changes to this bug.